services:

    life_style_activity_log.database.user_action_log_manager:
        class: LifeStyle\ActivityLogBundle\Database\UserActionLogManager
        arguments: ['@life_style_activity_log.entity.factory', '@doctrine.orm.Backend_entity_manager', '@life_style_activity_log.filter.text_filter']

    life_style_activity_log.entity.factory:
        class: LifeStyle\ActivityLogBundle\Entity\Factory
        public: false

    life_style_activity_log.event_listener.controller_annotation_listener:
        class: LifeStyle\ActivityLogBundle\EventListener\ControllerAnnotationListener
        arguments: ['@annotations.reader', '@logger', '@life_style_activity_log.activity_log_handler']
        tags:
          - { name: kernel.event_listener, event: kernel.controller }

    life_style_activity_log.filter.text_filter:
        class: LifeStyle\ActivityLogBundle\Filter\TextFilter
        public: false
        arguments: ['@life_style_activity_log.filter.text_filter_configuration']

    life_style_activity_log.filter.text_filter_configuration:
        class: LifeStyle\ActivityLogBundle\Filter\TextFilterConfiguration
        public: false

    life_style_activity_log.activity_log_handler:
        class: LifeStyle\ActivityLogBundle\ActivityLogHandler
        arguments: ['@saml.user_handler', '@life_style_activity_log.database.user_action_log_manager', '@=service("request_stack").getCurrentRequest()']
